Bug 1649750 (python-pyemd) - Review Request: python-pyemd - Fast EMD for Python
Summary: Review Request: python-pyemd - Fast EMD for Python
Keywords:
Status: CLOSED ERRATA
Alias: python-pyemd
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro python-pyphi
TreeView+ depends on / blocked
 
Reported: 2018-11-14 12:45 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-25 02:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-25 02:02:00 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-14 12:45:35 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-pyemd/python-pyemd.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-pyemd/python-pyemd-0.5.1-1.fc29.src.rpm

Description:
PyEMD is a Python wrapper for Ofir Pele and Michael Werman’s implementation of
the Earth Mover’s Distance that allows it to be used with NumPy. If you use
this code, please cite the papers listed in the README.rst file.

Fedora Account System Username: ankursinha

Comment 1 Zbigniew Jędrzejewski-Szmek 2018-11-14 15:05:22 UTC
> BuildRequires:  gcc gcc-c++
One-per-line please.

> export PYTHONPATH=$RPM_BUILD_ROOT/%{python2_sitearch}
I think %{buildroot} is nowadays considered nicer, but this is acceptable of course.

+ package name is OK
+ latest version
+ license is acceptable for Fedora (MIT)
+ licencse is specified correctly
+ builds and installs OK
+ fedora-review is happy
+ R/BR/P look OK

Package is APPROVED.

Comment 2 Ankur Sinha (FranciscoD) 2018-11-14 15:30:28 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> > BuildRequires:  gcc gcc-c++
> One-per-line please.
> 
> > export PYTHONPATH=$RPM_BUILD_ROOT/%{python2_sitearch}
> I think %{buildroot} is nowadays considered nicer, but this is acceptable of
> course.
> 


Thanks for the review, Zbigniew! Updated both. 


Spec URL: https://ankursinha.fedorapeople.org/python-pyemd/python-pyemd.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-pyemd/python-pyemd-0.5.1-1.fc29.src.rpm

(Didn't bump the release for these, but noted in changelog)

SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/8834

Comment 3 Gwyn Ciesla 2018-11-14 21:22:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyemd

Comment 4 Fedora Update System 2018-11-14 22:52:05 UTC
python-pyemd-0.5.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f668c47ec

Comment 5 Fedora Update System 2018-11-14 22:52:10 UTC
python-pyemd-0.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-12ea3cbd6f

Comment 6 Fedora Update System 2018-11-15 04:54:49 UTC
python-pyemd-0.5.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f668c47ec

Comment 7 Fedora Update System 2018-11-15 06:02:46 UTC
python-pyemd-0.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-12ea3cbd6f

Comment 8 Fedora Update System 2018-11-25 02:02:00 UTC
python-pyemd-0.5.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-25 02:25:58 UTC
python-pyemd-0.5.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.